package com.gic.haoban.manage.web.vo;

import java.io.Serializable;

public class DepartmentChainVO implements Serializable{
	
	private String departmentId;

    private String departmentName;

    private String parentDepartmentId;

    private String relatedId;

    private Integer isStore;

    private String wxDepartmentId;
    
    private Integer level;
    
    private Integer sort;
    
    private String wxEnterpriseId;
    
    private Integer type;
    
    private Integer bindFlag;
    
    private String gicEnterpriseName;
    
    private Boolean hasSonNode;
    
    private String enterpriseId;
    
    private String relatedCode;
    
    private DepartmentChainVO sonDepartment;

	public String getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	public String getParentDepartmentId() {
		return parentDepartmentId;
	}

	public void setParentDepartmentId(String parentDepartmentId) {
		this.parentDepartmentId = parentDepartmentId;
	}

	public String getRelatedId() {
		return relatedId;
	}

	public void setRelatedId(String relatedId) {
		this.relatedId = relatedId;
	}

	public Integer getIsStore() {
		return isStore;
	}

	public void setIsStore(Integer isStore) {
		this.isStore = isStore;
	}

	public String getWxDepartmentId() {
		return wxDepartmentId;
	}

	public void setWxDepartmentId(String wxDepartmentId) {
		this.wxDepartmentId = wxDepartmentId;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getBindFlag() {
		return bindFlag;
	}

	public void setBindFlag(Integer bindFlag) {
		this.bindFlag = bindFlag;
	}

	public String getGicEnterpriseName() {
		return gicEnterpriseName;
	}

	public void setGicEnterpriseName(String gicEnterpriseName) {
		this.gicEnterpriseName = gicEnterpriseName;
	}

	public Boolean getHasSonNode() {
		return hasSonNode;
	}

	public void setHasSonNode(Boolean hasSonNode) {
		this.hasSonNode = hasSonNode;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getRelatedCode() {
		return relatedCode;
	}

	public void setRelatedCode(String relatedCode) {
		this.relatedCode = relatedCode;
	}

	public DepartmentChainVO getSonDepartment() {
		return sonDepartment;
	}

	public void setSonDepartment(DepartmentChainVO sonDepartment) {
		this.sonDepartment = sonDepartment;
	}
    
	
}
